<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2019 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

// no direct access
defined('_JEXEC') or die('');

use Akeeba\TicketSystem\Admin\Helper\Credits;
use FOF30\Container\Container;

// Default credits text for users who are not logged in.
$creditsText = '&nbsp;';

$container = Container::getInstance('com_ats');

if (!$container->platform->getUser()->guest)
{
	// Get the available credits for the user
	$credits = Credits::creditsLeft($container->platform->getUser()->id, true);

	// The credits text to show for logged in users. Uses the MOD_ATSCREDITS_CREDITS language string.
	$creditsText = JText::sprintf('MOD_ATSCREDITS_CREDITS', $credits);
}
?>

<div class="atsUserCredits">
	<?php echo $creditsText ?>
</div>

