<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2019 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

// no direct access
defined('_JEXEC') or die('');

use FOF30\Container\Container;

// Default support time text for users who are not logged in.
$timeText = '&nbsp;';

$container = Container::getInstance('com_ats');

if (!$container->platform->getUser()->guest)
{
	// Get the total time spent supporting the user
	$time = \Akeeba\TicketSystem\Admin\Helper\Html::getTimeSpentPerUser($container->platform->getUser()->id);

	// The support time text to show for logged in users. Uses the MOD_ATSCREDITS_TIME language string.
	$timeText = JText::sprintf('MOD_ATSCREDITS_TIME', $time);
}
?>

<div class="atsUserSupportTime">
	<?php echo $timeText ?>
</div>

